### Function

# GLib str_has_suffix

since: 2.2

#### Declaration

    gboolean
    g_str_has_suffix (
      const gchar* str,
      const gchar* suffix
    )

#### Description

Looks whether a string ends with `suffix`.

Available since: 2.2

#### Parameters

`str`

  Type: `const gchar*`

  A string to look in.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`suffix`

  Type: `const gchar*`

  The suffix to look for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

True if `str` ends with `suffix`, false otherwise.